Bug 521129 - vgaarb lockdep report.
Summary: vgaarb lockdep report.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 18:55 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-02 01:15:19 UTC


Attachments (Terms of Use)

Description Dave Jones 2009-09-03 18:55:49 UTC
WARNING: at kernel/lockdep.c:2282 lockdep_trace_alloc+0xae/0xf5() (Not tainted)
Hardware name: VGN-Z540N
Modules linked in: sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table ext2 dm_multipath uinput arc4 btusb bluetooth sdhci_pci ecb sdhci mmc_core fi>
Pid: 1631, comm: Xorg Not tainted 2.6.31-0.199.rc8.git2.fc12.x86_64 #1
Call Trace:
 [<ffffffff810653c4>] warn_slowpath_common+0x95/0xc3
 [<ffffffff81065419>] warn_slowpath_null+0x27/0x3d
 [<ffffffff81097079>] lockdep_trace_alloc+0xae/0xf5
 [<ffffffff81137762>] kmem_cache_alloc_notrace+0x3b/0x13a
 [<ffffffff8134dce0>] ? put_device+0x2a/0x40
 [<ffffffff81299804>] pci_get_subsys+0x4e/0xbe
 [<ffffffff8129989d>] pci_get_device+0x29/0x3f
 [<ffffffff81342885>] ? vga_arbiter_notify_clients+0x34/0xa6
 [<ffffffff81299907>] pci_get_bus_and_slot+0x54/0x75
 [<ffffffffa0106b8c>] intel_modeset_vga_set_state+0x2b/0x9d [i915]
 [<ffffffffa00f8c0a>] i915_vga_set_decode+0x29/0x4f [i915]
 [<ffffffff813428af>] vga_arbiter_notify_clients+0x5e/0xa6
 [<ffffffff81342af7>] vga_get+0x43/0x181
 [<ffffffff81138fb1>] ? __kmalloc+0x1a1/0x1c7
 [<ffffffff81342cfc>] ? vga_arb_write+0x40/0x474
 [<ffffffff81342d8f>] vga_arb_write+0xd3/0x474
 [<ffffffff81143b09>] vfs_write+0xbd/0x12e
 [<ffffffff81143c6c>] sys_write+0x59/0x91
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
---[ end trace cb7f398dbca783f3 ]---
vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=none:owns=io+mem
vgaarb: transferring owner from PCI:0000:00:02.0 to PCI:0000:01:00.0

Comment 1 Dave Airlie 2009-09-08 06:20:59 UTC
kernel-2.6.31-0.210.rc9.git1

should fix this, let me know if it doesn't.


Note You need to log in before you can comment on or make changes to this bug.